Subject: Re: ab/remove--super-prefix and -rc0 (was What's cooking in git.git (Nov 2022, #07; Tue, 29))

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Dec 2022 06:26:44 +0900

Glen Choo <[email-masked]> writes:

> Frankly, I find it odd in the non-recursive case too e.g. in one of the
> non-recursive tests, we have:
>
>   Migrating git directory of '\''sub1'\'' from '\''sub1/.git'\'' to '\''../../.git/modules/sub1'\''
>
> where all 3 paths are relative, the first two share the same base but
> not the last one. I don't think a casual reader can easily tell that the
> last one should be relative to the second one.

That's a good example, although I can understand why a developer
(not a user) might choose to show the last one relative to the one
that comes before it.

Thanks, both.